## WebKitGeolocationPermissionRequest

WebKitGeolocationPermissionRequest — A permission request for sharing user's location

## Synopsis

    struct              WebKitGeolocationPermissionRequest;

## Object Hierarchy

      GObject
       +----WebKitGeolocationPermissionRequest

## Implemented Interfaces

WebKitGeolocationPermissionRequest implements WebKitPermissionRequest.

## Description

WebKitGeolocationPermissionRequest represents a request for permission to decide whether WebKit should provide the user's location to a website when requested throught the Geolocation API.

## Details

### struct WebKitGeolocationPermissionRequest

    struct WebKitGeolocationPermissionRequest;

## See Also

WebKitPermissionRequest, WebKitWebView